--- title: "Create the vIPS Cluster" slug: "create-the-vips-cluster" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:02Z published: 2026-09-23T09:35:02Z canonical: "docs.trellix.com/create-the-vips-cluster" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Create the vIPS Cluster This URL creates the vIPS cluster. ## Resource URL POST /cloud//cluster ## Request Parameters **URL Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | Domain_Id | Domain id | Number | Yes | **Payload Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | name | Cluster name | String | Yes | | description | Cluster description | String | No | | cloudConnector | Controller name | String | Yes | | subscription | Subscription id for Azure controllers | String | No | | sharedSecret | Shared secret between the Manager and Cluster | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned: | Field Name | Description | Data Type | | --- | --- | --- | | createdResourceId | Created resource id | Number | ## Example **Request** POST [https:///sdkapi/cloud/0/cluster](https://%3CNSM_IP%3E/sdkapi/cloud/0/cluster) **Payload** ``` {                "name": "Cloud_Cluster",                "description": "api updated",                "cloudConnector": "Cloud_Controller", "subscription": "subscription id",         "sharedSecret": "secret"         } ``` **Response** ``` { " createdResourceId ": 101 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message: internal server error | | 2 | 400 | 1105 | Invalid domain | | 3 | 400 | 11001 | Cluster name is required | | 4 | 400 | 11001 | Cluster name can have alphanumeric characters and [ _, -, . ] special characters |